Subject: Re: [PATCH] revision: --include-diversions adds helpful merges

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Apr 2020 18:30:14 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

>     This --include-diversions option could use a better name.

True, but I do not think of a better (or for that matter a worse)
one.  

As a new feature, I think this is a reasonable thing to want,
especially it is in line with the push in the past few years to
treat the first parent history specially.

I wonder how this would interact with the ancestry-path option?
That one also, like the simplify-merges option, needs a limited
traversal, and if this new mode can do without a limited traversal
(in other words, the output can be done incrementally from the tip)
and achieve something similar to what these other options wanted to
show, that would be great.

Thanks.